Sponsored Links

Sponsored Links

Assassins Creed III & Need for Speed Most Wanted PS3 DLC Unlockers!


Sponsored Links
90w ago - Today PlayStation 3 scene release group DUPLEX have released PS3 DLC unlockers for Assassins Creed III and Need for Speed Most Wanted with the details outlined below!

Download: [Register or Login to view links] ([Register or Login to view links] / [Register or Login to view links] / [Register or Login to view links]) / [Register or Login to view links] ([Register or Login to view links] / [Register or Login to view links] / [Register or Login to view links])

From the PS3 NFO Files:

  • Assassins.Creed.III.DLC.Unlocker.PS3-DUPLEX
  • Need.for.Speed.Most.Wanted.DLC.Unlocker.PS3-DUPLEX

Assassins.Creed.III.DLC.Unlocker.PS3-DUPLEX


Need.for.Speed.Most.Wanted.DLC.Unlocker.PS3-DUPLEX

Finally, from pr0p0sitionJOE comes PlayStation 3 game fixes for ODDWORLD: STRANGER'S WRATH, I AM ALIVE, SHANK 2, and THE EXPENDABLES 2 - VIDEOGAME, THE WALKING DEAD - Ep. 1 & 2 available HERE as well!




Stay tuned for more PS3 Hacks and PS3 CFW news, follow us on Twitter and be sure to drop by the PS3 Hacks and PS3 Custom Firmware Forums for the latest PlayStation 3 scene updates and homebrew releases!

Comments 8848 Comments - Go to Forum Thread »

• Please Register at PS3News.com or Login to make comments on Site News articles. Thanks!

Hernaner28's Avatar
#213 - Hernaner28 - 144w ago
This means that it would be possible to isntall DLCs as well? I really want to have the Split/Second DLCs, specially the Quarry track, it's awesome!

Liloolil's Avatar
#212 - Liloolil - 144w ago
Dream Theater is working on cfw 3.41. Get it from:

[Register or Login to view links]
[Register or Login to view links]
[Register or Login to view links]
[Register or Login to view links]

zhaoyun123's Avatar
#211 - zhaoyun123 - 144w ago
hoping for Dreamy Theater for this one can't wait

chrrox's Avatar
#210 - chrrox - 144w ago
it is not hard to find took about 3 seconds of searching: doujin.dawnfun.com/category/music/page/2

bearmon2010's Avatar
#209 - bearmon2010 - 144w ago
Yes, you need to have 3.55 CFW installed to play these games.
I understand that 3.41 jb are working fine with those PSN by DUPLEX too because I test them as well.

Sponsored Links

Sponsored Links
Sponsored Links

Sponsored Links







Affiliates - Contact Us - PS3 Downloads - Privacy Statement - Site Rules - Top - © 2014 PlayStation 3 News